DevExtreme jQuery/JS - Overview
The TextArea is a widget that enables a user to enter and edit a multi-line text.
The following code adds a simple TextArea with a placeholder to your page.
HTML
JavaScript
- <div id="textAreaContainer"></div>
- $(function() {
- $("#textAreaContainer").dxTextArea({
- placeholder: "Type a text here..."
- });
- });
By default, the TextArea checks the entered text for spelling errors. To disable this feature, assign false to the spellcheck option.
JavaScript
- $(function() {
- $("#textAreaContainer").dxTextArea({
- spellcheck: false
- });
- });
If an end user should not be able to edit the text in the TextArea, assign true to the readOnly option. In this case, make sure to set the value option too.
JavaScript
- $(function() {
- $("#textAreaContainer").dxTextArea({
- value: "The text that should not be edited",
- readOnly: true
- });
- });
See Also
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

DevExtreme Angular - Overview
The TextArea is a widget that enables a user to enter and edit a multi-line text.
The following code adds a simple TextArea with a placeholder to your page.
jQuery
HTML
JavaScript
<div id="textAreaContainer"></div>
$(function() {
    $("#textAreaContainer").dxTextArea({
        placeholder: "Type a text here..."
    });
});Angular
HTML
TypeScript
<dx-text-area
    placeholder="Type a text here...">
</dx-text-area>
import { DxTextAreaModule } from "devextreme-angular";
// ...
export class AppComponent {
    // ...
}
@NgModule({
     imports: [
         // ...
         DxTextAreaModule
     ],
     // ...
 })By default, the TextArea checks the entered text for spelling errors. To disable this feature, assign false to the spellcheck option.
jQuery
JavaScript
$(function() {
    $("#textAreaContainer").dxTextArea({
        spellcheck: false
    });
});Angular
HTML
TypeScript
<dx-text-area
    [spellcheck]="false">
</dx-text-area>
import { DxTextAreaModule } from "devextreme-angular";
// ...
export class AppComponent {
    // ...
}
@NgModule({
     imports: [
         // ...
         DxTextAreaModule
     ],
     // ...
 })If an end user should not be able to edit the text in the TextArea, assign true to the readOnly option. In this case, make sure to set the value option too.
jQuery
JavaScript
$(function() {
    $("#textAreaContainer").dxTextArea({
        value: "The text that should not be edited",
        readOnly: true
    });
});Angular
HTML
TypeScript
<dx-text-area
    value="The text that should not be edited"
    [readOnly]="true">
</dx-text-area>
import { DxTextAreaModule } from "devextreme-angular";
// ...
export class AppComponent {
    // ...
}
@NgModule({
     imports: [
         // ...
         DxTextAreaModule
     ],
     // ...
 })See Also
        
            Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
    Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.